> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ajouter des autorisations d’organisation

> Ajouter des autorisations Git à une organisation

Requiert la clé d’API personnelle d’un administrateur Enterprise.

Ajoutez une ou plusieurs autorisations sur des dépôts Git à une organisation spécifique au sein de votre Enterprise.


## OpenAPI

````yaml fr/v2-openapi.yaml POST /v2/enterprise/organizations/{org_id}/git/permissions
openapi: 3.1.0
info:
  description: >-
    API Devin v2 avec clés d’API personnelles pour les administrateurs
    Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/git/permissions:
    post:
      tags:
        - organizations
      summary: >-
        Point de terminaison pour l’ajout d’autorisations de l’organisation
        Enterprise
      description: >-
        Ajouter de nouvelles autorisations Git à une organisation.


        Renvoie les ID des autorisations créées dans le même ordre que les
        données fournies, ainsi

        qu’un mappage entre permission_id et le chemin du dépôt/groupe.
      operationId: >-
        enterprise_organization_permission_addition_endpoint_v2_enterprise_organizations__org_id__git_permissions_post
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/GitPermissionRequest'
              title: Payload
              type: array
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermissionsCreatedSuccessResponse'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
components:
  schemas:
    GitPermissionRequest:
      properties:
        connection_id:
          title: Connection Id
          type: string
        group_prefix:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Group Prefix
        group_prefix_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Prefix Url
        prefix_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix Path
        repo_path:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Repo Path
        repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Url
      required:
        - connection_id
      title: GitPermissionRequest
      type: object
    PermissionsCreatedSuccessResponse:
      properties:
        permission_ids:
          items:
            type: string
          title: Permission Ids
          type: array
        permission_names:
          additionalProperties:
            type: string
          title: Permission Names
          type: object
        status:
          default: success
          title: Status
          type: string
      required:
        - permission_ids
        - permission_names
      title: PermissionsCreatedSuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        API Key personnelle (apk_user_*) réservée uniquement aux administrateurs
        Enterprise
      scheme: bearer
      type: http

````